{
	"name": "table/external/4d/manager/product/work_order_material.json",
	"table_name": "work_order_material",
	"table_prefix": "wom",
	"main_table": "work_order",
	"record_type": ["schedule"],
	"local_table": "product_material",
	"local_record_type": "schedule",
	"table_number": 58,
	"field": [
		{
			"field_length": 90,
			"field_name": "change_id",
			"field_number": 10,
			"local_field": "modify_id"
		},
		{
			"field_length": 40,
			"field_name": "creator_id",
			"field_number": 11,
			"local_field": "create_user"
		},
		{
			"field_name": "explanation",
			"field_number": 5,
			"local_field": "description"
		},
		{
			"field_name": "firm_id",
			"field_number": 15,
			"local_field": "json_data.firm_id"
		},
		{
			"field_name": "info",
			"field_number": 9,
			"local_field": "info"
		},
		{
			"field_length": 40,
			"field_name": "modifier_id",
			"field_number": 12,
			"local_field": "json_data.modifier_id"
		},
		{
			"field_length": 70,
			"field_name": "production_lot",
			"field_number": 6,
			"local_field": "production_lot"
		},
		{
			"field_length": 80,
			"field_name": "project_id",
			"field_number": 17,
			"local_field": "json_data.project_id"
		},
		{
			"field_name": "quantity__unit",
			"field_number": 4,
			"local_field": "amount"
		},
		{
			"field_length": 88,
			"field_name": "raw_material_id",
			"field_number": 3,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "product_id",
					"linked_table": "product"
				}
			],
			"local_field": "material_id",
			"nullable": true
		},
		{
			"field_length": 510,
			"field_name": "record_id",
			"field_number": 13,
			"local_field": "record_id"
		},
		{
			"field_name": "row_number",
			"field_number": 2,
			"local_field": "row_number"
		},
		{
			"field_length": 100,
			"field_name": "transfer_id",
			"field_number": 16,
			"local_field": "json_data.transfer_id"
		},
		{
			"field_name": "transfer_state",
			"field_number": 14,
			"local_field": "json_data.transfer_state"
		},
		{
			"field_length": 60,
			"field_name": "work__position_num_id",
			"field_number": 1,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "work__position_num_id",
					"linked_table": "work"
				}
			],
			"local_field": "json_data.work__position_num_id",
			"nullable": true
		},
		{
			"field_name": "work_need_amount",
			"field_number": 8,
			"local_field": "json_data.work_need_amount"
		},
		{
			"field_name": "work_phase",
			"field_number": 7,
			"local_field": "work_phase_number"
		}
	],
	"default_field": "table/default_field.json"
}
